PrecedenceQueryParser (Lucene 3.6.2 API)
Keywords: org.apache.lucene.queryParser.precedence.PrecedenceQueryParser class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.queryParser.precedence
Class PrecedenceQueryParser

    java.lang.Object
      org.apache.lucene.queryParser.core.QueryParserHelper
          org.apache.lucene.queryParser.standard.StandardQueryParser
              org.apache.lucene.queryParser.precedence.PrecedenceQueryParser

    public class PrecedenceQueryParser

extends StandardQueryParser

This query parser works exactly as the standard query parser ( `StandardQueryParser` ), except that it respect the boolean precedence, so <a AND b OR c AND d> is parsed to <(+a +b) (+c +d)> instead of <+a +b +c +d>.

EXPERT: This class extends `StandardQueryParser`, but uses `PrecedenceQueryNodeProcessorPipeline` instead of `StandardQueryNodeProcessorPipeline` to process the query tree.

See Also:
  `StandardQueryParser`

Constructor Summary
`PrecedenceQueryParser()`
`PrecedenceQueryParser(org.apache.lucene.analysis.Analyzer analyer)`

Method Summary

Methods inherited from class org.apache.lucene.queryParser.standard.StandardQueryParser
`getAllowLeadingWildcard, getAnalyzer, getDateResolution, getDateResolutionMap, getDefaultOperator, getEnablePositionIncrements, getFieldsBoost, getFuzzyMinSim, getFuzzyPrefixLength, getLocale, getLowercaseExpandedTerms, getMultiFields, getMultiTermRewriteMethod, getNumericConfigMap, getPhraseSlop, getRangeCollator, parse, setAllowLeadingWildcard, setAnalyzer, setDateResolution, setDateResolution, setDateResolutionMap, setDefaultOperator, setDefaultOperator, setDefaultPhraseSlop, setEnablePositionIncrements, setFieldsBoost, setFuzzyMinSim, setFuzzyPrefixLength, setLocale, setLowercaseExpandedTerms, setMultiFields, setMultiTermRewriteMethod, setNumericConfigMap, setPhraseSlop, setRangeCollator, toString`

Methods inherited from class org.apache.lucene.queryParser.core.QueryParserHelper
`getQueryBuilder, getQueryConfigHandler, getQueryNodeProcessor, getSyntaxParser, setQueryBuilder, setQueryConfigHandler, setQueryNodeProcessor, setSyntaxParser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PrecedenceQueryParser

    public PrecedenceQueryParser()

See Also:
  `StandardQueryParser.StandardQueryParser()`

### PrecedenceQueryParser

    public PrecedenceQueryParser(org.apache.lucene.analysis.Analyzer analyer)

See Also:
  `StandardQueryParser.StandardQueryParser(Analyzer)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD